---

icon: material/controller
description: Want to play on Bedrock? No problem, check it out!

---

# Bedrock Compatibility

!!! danger "Discontinued"
    With the update to Minecraft 1.21.1, Bedrock support has been **DROPPED**.
    This is due to a lack of usage and high overhead to maintain. This is also due in part to the recent news that Mojang has stopped providing the necessary files in their releases of Bedrock to support development that may be necessary to continue supporting the software that made this possible.

??? example "Historical Page"
    Bedrock support is provided by the [Geyser](https://geysermc.org/) plugin in conjunction with the [Floodgate](https://wiki.geysermc.org/floodgate/) plugin on our proxy server. Stability is not guaranteed, however, in my experience it is pretty stable and reliable.

    !!! Note "A note about compatibility"
        Bedrock updates quick, and sometimes I get pretty busy. I have heard from a couple people that these plugins can get outdated pretty quick, so I would like to apologize in advance if you get a version incompatibility notice. If you do, please reach out on `#bedrock` on the [Discord](https://discord.gg/RWNQxAWad2). Unfortunately this is compounded by the fact that users cannot, without hacks, choose what version of Bedrock they are on.

        Another note to touch on is the fact that Bedrock and Java have a lot of parity issues. More information can be found on [the Minecraft Wiki : Parity Issue List](https://minecraft.wiki/w/Minecraft_Wiki:Parity_issue_list)

    ## Platforms

    !!! warning "Platform support"
        Unfortunately, not all Bedrock platforms allow crossplay. However, I am working on a hack that will allow you to play.

    | Platform    | Supported       | Hack available                |
    |-------------|-----------------|-------------------------------|
    | IOS         | 🟢 Yes          | Not needed                    |
    | Android     | 🟢 Yes          | Not needed                    |
    | Windows     | 🟢 Yes          | Not needed                    |
    | Switch      | 🟡 Non-official | Yes see [DNS Hack](#dns-hack) |
    | Xbox        | 🟡 Non-official | Yes see [DNS Hack](#dns-hack) |
    | Playstation | 🟡 Non-official | Yes see [DNS Hack](#dns-hack) |

    ## Getting Started

    ### If you own Java and Bedrock

    Awesome, your accounts can be linked so that your progress will be synced between the two and you will appear as your Java account on the server! Simply link your accounts together and wait about 10 minutes before trying to join.

    [Link Account :material-link:](https://link.geysermc.org/method/online){ .md-button }

    ### Or if you only own Bedrock

    No problem, you can play too! Simply attempt to join the server once to initialize your account, then a **mod** or **admin** will whitelist you. When you join the server, your username on the server will begin with a period. (".SubnetMasked")

    !!! warning "If you buy Java after"
        If you buy Java edition, be warned that your accounts will remain separate. If you would like to link them, you will lose your progress on the server. Let an **admin** know and we can try and help you out!

    ## DNS Hack

    I am working on setting up my own version of this, however for now [here is a tutorial](https://www.bisecthosting.com/clients/index.php?rp=/knowledgebase/208/How-to-connect-to-a-Minecraft-Bedrock-server-from-consoles.html) from a reputable MC hosting website.

    !!! warning "DNS is not encrypted"
        Keep in mind that if you use this service, all of your DNS queries will go through the server listed in the tutorial. What this means for you is that if you go to "https://www.youtube.com/watch?v=dQw4w9WgXcQ" the owner of the service will see that you visited "www.youtube.com" but not the rest of the URL.

    ## Troubleshooting

    ??? Tip "Stuck at "Locating server""
        This can happen if your network connection is unstable. If you are using mobile data (4G/5G) this is not entirely unexpected.

    ??? Tip "I keep getting asked for my Microsoft account."
        Have you [linked](https://link.geysermc.org/method/online) your Java account?

    ??? Tip "Player skins are missing, render incorrectly, or are generally broken"
        This is expected as Java and Bedrock use different UUIDs and different skin models.